Index: frontend/src/Components/RestaurantDetails/MenuItem.js
===================================================================
--- frontend/src/Components/RestaurantDetails/MenuItem.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantDetails/MenuItem.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,71 +1,42 @@
 import React from "react";
-import {Col, Row, Image, Container} from "react-bootstrap";
-import Carousel from "react-bootstrap/Carousel";
+import { Col, Row, Image, Container } from "react-bootstrap";
 
-const MenuItem = (props) => {
-
-    const data = props.data;
-    console.log(props)
+const MenuItem = () => {
     return (<>
-
-        <a href="#" style={{textDecoration: "none", color: "black"}}>
-            <Container className="py-3 px-1 my-4"
-                       style={{
-                           border: "4px solid #159895",
-                           borderRadius: "1em",
-                           boxShadow: "0 3px 5px #159895",
-                           maxWidth: "90%"
-                       }}>
-                <Row>
-                    <Col className="d-flex justify-content-center mb-3">
-                        <Carousel>
-                            {props.images.map((image) => {
-                                let link = image.url;
-                                if (image.url.includes('Desktop')) {
-                                    link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
-                                }
-                                return (
-                                    <Carousel.Item>
-                                        <img
-                                            className="d-block w-100 h-400 rounded-5"
-                                            src={link}
-                                            alt="First slide"
-                                            style={{
-                                                height: "7em",
-                                                borderRadius: "1em",
-                                                boxShadow: "0 4px 20px lightblue",
-                                                maxWidth: "100%",
-                                            }}
-                                        />
-                                    </Carousel.Item>
-                                )
-                            })}
-                            {props.images.length == 0 && <Carousel.Item>
-                                <Image
-                                    src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
-                                    style={{
-                                        height: "7em",
-                                        borderRadius: "1em",
-                                        boxShadow: "0 4px 20px lightblue",
-                                        maxWidth: "100%",
-                                    }}
-                                ></Image>
-                            </Carousel.Item>}
-                        </Carousel>
-                    </Col>
-                </Row>
-                <Row>
-                    <Col className="d-flex flex-column justify-content-center " style={{textAlign: "center"}}>
-                        <h4>{data.name}</h4>
-                        <h6>{data.ingredients}</h6>
-                    </Col>
-                </Row>
-                <Row>
-                    <Col className="d-flex flex-column justify-content-center align-content-center">
-
-                        <h5>Цена: {data.price}$</h5>
-                    </Col>
-                </Row>
-            </Container>
+    
+    <a href="#" style={{textDecoration: "none", color:"black"}}>
+        <Container className="py-3 px-1 my-4"
+        style={{
+          border: "4px solid #159895",
+          borderRadius: "1em",
+          boxShadow: "0 3px 5px #159895",
+          maxWidth: "90%"
+        }}>
+            <Row>
+                <Col className="d-flex justify-content-center mb-3">
+                    <Image
+                    src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
+                    style={{
+                        height: "7em",
+                        borderRadius: "1em",
+                        boxShadow: "0 4px 20px lightblue",
+                        maxWidth: "100%",
+                    }}
+                    ></Image>
+                </Col>
+            </Row>
+            <Row>
+                <Col className="d-flex flex-column justify-content-center " style={{textAlign: "center"}}>
+                    <h4>Име</h4>
+                    <h6>Свинско, Телешко, прасечко, ребра, чорба, тикви, компирМанЏа</h6>
+                </Col>
+            </Row>
+            <Row>
+                <Col className="d-flex flex-column justify-content-center align-content-center" >
+                  
+                  <h5>Цена: 99.99$</h5>
+                </Col>
+            </Row>
+        </Container>
         </a>
 
Index: frontend/src/Components/RestaurantEdit/MenuListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/MenuListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantEdit/MenuListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,5 +6,4 @@
 import { AiOutlinePlusCircle } from "react-icons/ai"
 import EditModal from "../Resources/EditModal";
-import AddImages from "../Resources/AddImages";
 
 const MenuListing = (props) => {
@@ -13,5 +12,6 @@
     console.log(props.data)
     return(<>
-    <a href="#" style={{textDecoration: "none", color:"black"}}>
+    <a href="#" onClick={(e) => {e.preventDefault(); props.showModal(props.data);
+    console.log("kliknav")} } style={{textDecoration: "none", color:"black"}}>
         <Container className="py-3 px-1 my-4"
         style={{
@@ -23,9 +23,5 @@
             <Row>
                 <Col className="d-flex justify-content-center">
-                    <Image onClick={(e) => {
-                        e.preventDefault();
-                        props.showModal(props.data);
-                        console.log("kliknav")
-                    }}
+                    <Image
                     src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
                     style={{
@@ -41,7 +37,4 @@
                     <h6>{props.data.ingredients}</h6>
                 </Col>
-                <Col className="d-flex flex-column justify-content-center align-content-center">
-                    <AddImages type="menu" Id={props.data.menuId} />
-                </Col>
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
Index: frontend/src/Components/RestaurantEdit/RestaurantEditTab.js
===================================================================
--- frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -10,6 +10,4 @@
 import TableListing from "./TableListing";
 import EditModal from "../Resources/EditModal";
-import ReservationListing from "../HotelEdit/ReservationListing";
-import useGet from "../Hooks/useGet";
 
 function RestaurantEditTab(props) {
@@ -37,12 +35,4 @@
     setActiveTab(eventKey);
   };
-
-  const {
-    data,
-    isLoading,
-    setData,
-    getData,
-    setChanged: dhanged
-  } = useGet(`/restaurant/${props.displayMenu.restaurantID}/reservations/active`)
 
   console.log(props.displayMenu.restaurantID)
@@ -110,10 +100,10 @@
               return <MenuListing key={menu.menuId} data={menu} showModal={showModal}/>
             })}
-            {activeTab === '/hotel' && <EditModal show={show} refresh={props.refresh} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
+            {activeTab === '/hotel' && <EditModal show={show} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
             <AddNew Id={props.displayMenu.restaurantID} refresh={props.refresh} type="menu"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/masi">
            {props.displayMenu.tables.map((table) => {
-              return <TableListing key={table.tableId} refresh={props.refresh} showModal={showModal} handleClose={handleClose} data={table}/>
+              return <TableListing key={table.tableId} showModal={showModal} data={table}/>
             })}
             {activeTab === '/masi' && <EditModal show={show} handleClose={handleClose} refresh={props.refresh} type="table"
@@ -122,9 +112,5 @@
           </Tab.Pane>
           <Tab.Pane eventKey="/restaurant">
-            {!isLoading && data.map((res) => {
-              return (
-                  <ReservationListing type={'restaurant'} data={res}/>
-              )
-            })}
+            <AddNew type="restaurant"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/transport">
Index: frontend/src/Components/RestaurantEdit/TableListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/TableListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantEdit/TableListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -41,5 +41,5 @@
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
-                  <AddAvailability type="table" refresh={props.refresh} closeModal={props.handleClose} table={props.data}/>
+                  <AddAvailability type="table" table={props.data}/>
                 </Col>
 
Index: frontend/src/Components/SearchCriterias/SearchCriteriasBar.js
===================================================================
--- frontend/src/Components/SearchCriterias/SearchCriteriasBar.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/SearchCriterias/SearchCriteriasBar.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,20 +2,97 @@
 import { Container, Form, Button, Row, Col } from "react-bootstrap";
 import useFormData from "../Hooks/useFormData";
-import SearchCriteriasHotel from "./SearchCriteriasHotel";
-import SearchCriteriasTransport from "./SearchCriteriasTransport";
-import SearchCriteriasRestaurant from "./SearchCriteriasRestaurant";
 
-const SearchCriteriasBar = (props) => {
+const SearchCriterias = (props) => {
 
-    const { criterias, type } = props
+  const { formData, onFormChange, onCheckBoxChange, setFormData} = useFormData(props.criterias)
+  console.log("KRITERIUMI")
+  console.log(formData)
 
-    return (
-        <>
-            {type === 'hotel' && <SearchCriteriasHotel criterias={criterias}/>}
-            {type === 'transport' && <SearchCriteriasTransport showButton={props.showButton} criterias={criterias}/>}
-            {type === 'restaurant' && <SearchCriteriasRestaurant criterias={criterias}/>}
-        </>
-    )
-}
+  return (
+    <>
+      <Container
+        className="p-1 pb-0 mb-5 mt-3 rounded-2"
+        style={{ backgroundColor: "#002B5B", width: "65%"}}
+      >
+        <Form className="rounded-5">
+          <Row className="gx-1">
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="text"
+                  placeholder="Каде ќе патувате?:"
+                  id="location"
+                  name="hotelLocation"
+                  onChange={onFormChange}
+                  value={formData.hotelLocation}
+                ></Form.Control>
+                <label htmlFor="location">Локација:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на пристигнување:"
+                  id="dateFrom"
+                  name="dateFrom"
+                  onChange={onFormChange}
+                  value={formData.dateFrom}
+                ></Form.Control>
+                <label htmlFor="dateFrom">Датум на пристигнување:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на заминување:"
+                  id="dateTo"
+                  name="dateTo"
+                  onChange={onFormChange}
+                  value={formData.dateTo}
+                ></Form.Control>
+                <label htmlFor="dateTo">Датум на заминување:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="number"
+                  placeholder="Број на гости:"
+                  id="floatingPassengers"
+                  name="numBeds"
+                  onChange={onFormChange}
+                  value={formData.numBeds}
+                ></Form.Control>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
+              </Form.Floating>
+            </Col>
+            <Col>
+              <Form.Group className="my-1">
+                <Button
+                  type="submit"
+                  style={{ backgroundColor: "#159895" }}
+                  size="lg"
+                  className="w-100"
+                  onClick={(e) => {
+                    e.preventDefault();
+                    window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}`
+                  }}
+                >
+                  <span className="ikona mx-3">Пребарај</span>
+                </Button>
+              </Form.Group>
+            </Col>
+          </Row>
+        </Form>
+      </Container>
+    </>
+  );
+};
 
-export default SearchCriteriasBar;
+export default SearchCriterias;
Index: frontend/src/Components/Tab/TabFormHotel.js
===================================================================
--- frontend/src/Components/Tab/TabFormHotel.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Tab/TabFormHotel.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,102 +1,91 @@
 import React from "react";
-import {Button, Col, Container, Form, InputGroup, Row} from "react-bootstrap";
-import {FaMagnet} from "react-icons/fa"
-import {HiMagnifyingGlass} from "react-icons/hi2"
+import { Button, Col, Container, Form, Row } from "react-bootstrap";
+import { FaMagnet } from "react-icons/fa"
+import { HiMagnifyingGlass } from "react-icons/hi2"
 import useFormData from "../Hooks/useFormData";
 
 function TabFormHotel() {
 
-    const {formData, onFormChange, setFormData, onCheckBoxChange} = useFormData({
-        hotelLocation: undefined,
-        dateFrom: undefined,
-        dateTo: undefined,
-        numBeds: undefined,
-        flexible: false,
-    })
+  const { formData, onFormChange, setFormData } = useFormData({
+    hotelLocation: undefined,
+    dateFrom: undefined,
+    dateTo: undefined,
+    numBeds: undefined
+  })
 
-    return (
-        <Form className='rounded-5'>
-            <Row>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="md"
-                            type="text"
-                            placeholder="Каде ќе патувате?:"
-                            id="location"
-                            name="hotelLocation"
-                            value={formData.hotelLocation}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="location">Локација:</label>
-                    </Form.Floating>
-                    <div className="mb-3">
-                        <Form.Check
-                            type={"checkbox"}
-                            id={`default-checkbox}`}
-                            label={`флексибилност +- 3 дена`}
-                            onChange={onCheckBoxChange}
-                            name={'flexible'}
-                            value={formData.flexible}
-                        />
-                    </div>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="md"
-                            type="date"
-                            placeholder="Датум на пристигнување:"
-                            id="dateFrom"
-                            name="dateFrom"
-                            value={formData.dateFrom}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="dateFrom">Датум на пристигнување:</label>
-                    </Form.Floating>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="md"
-                            type="date"
-                            placeholder="Датум на заминување:"
-                            id="dateTo"
-                            name="dateTo"
-                            value={formData.dateTo}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="dateTo">Датум на заминување:</label>
-                    </Form.Floating>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="md"
-                            type="number"
-                            placeholder="Број на гости:"
-                            id="floatingPassengers"
-                            name="numBeds"
-                            value={formData.numBeds}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="floatingPassengers">Број на гости:</label>
-                    </Form.Floating>
+  return (
+    <Form className='rounded-5' >
+      <Row>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="md"
+              type="text"
+              placeholder="Каде ќе патувате?:"
+              id="location"
+              name="hotelLocation"
+              value={formData.hotelLocation}
+              onChange={onFormChange}
+            ></Form.Control>
+            <label htmlFor="location">Локација:</label>
+          </Form.Floating>
+        </Col>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="md"
+              type="date"
+              placeholder="Датум на пристигнување:"
+              id="dateFrom"
+              name="dateFrom"
+              value={formData.dateFrom}
+              onChange={onFormChange}
+            ></Form.Control>
+            <label htmlFor="dateFrom">Датум на пристигнување:</label>
+          </Form.Floating>
+        </Col>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="md"
+              type="date"
+              placeholder="Датум на заминување:"
+              id="dateTo"
+              name="dateTo"
+              value={formData.dateTo}
+              onChange={onFormChange}
+            ></Form.Control>
+            <label htmlFor="dateTo">Датум на заминување:</label>
+          </Form.Floating>
+        </Col>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="md"
+              type="number"
+              placeholder="Број на гости:"
+              id="floatingPassengers"
+              name="numBeds"
+              value={formData.numBeds}
+              onChange={onFormChange}
+            ></Form.Control>
+            <label htmlFor="floatingPassengers">Број на гости:</label>
+          </Form.Floating>
 
-                    <Form.Group className="my-1">
-                        <Button type="submit" style={{backgroundColor: "#159895"}} size="lg"
-                                onClick={(e) => {
-                                    e.preventDefault();
-                                    window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}/${formData.flexible}`
-                                }}>
-                            <span className="ikona my-1"><HiMagnifyingGlass/></span>
-                            <span className="ikona mx-3">Пребарај</span>
-                        </Button>
-                    </Form.Group>
-                </Col>
+          <Form.Group className="my-1">
+            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" 
+            onClick={(e) => {
+              e.preventDefault();
+              window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}`
+            }}>
+              <span className="ikona my-1"><HiMagnifyingGlass/></span>
+              <span className="ikona mx-3">Пребарај</span>
+            </Button>
+          </Form.Group>
+        </Col>
 
-            </Row>
-        </Form>
-    );
+      </Row>
+    </Form>
+  );
 }
 
Index: frontend/src/Components/Tab/TabFormRestaurant.js
===================================================================
--- frontend/src/Components/Tab/TabFormRestaurant.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Tab/TabFormRestaurant.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,119 +1,79 @@
 import React from "react";
-import {Button, Col, Container, Form, Row} from "react-bootstrap";
-import {HiMagnifyingGlass} from "react-icons/hi2"
-import useFormData from "../Hooks/useFormData";
+import { Button, Col, Container, Form, Row } from "react-bootstrap";
+import { HiMagnifyingGlass } from "react-icons/hi2"
 
 const timeOfArrival = () => {
-    let times = [];
+  let times = [];
 
-    for (let i = 0; i <= 23; i++) {
-        for (let j = 0; j <= 30; j += 30) {
-            let hour = i.toString().padStart(2, "0");
-            let minutes = j.toString().padStart(2, "0");
-            times.push(`${hour}:${minutes}`);
-        }
+  for (let i = 0; i <= 23; i++) {
+    for (let j = 0; j <= 45; j += 15) {
+      let hour = i.toString().padStart(2, "0");
+      let minutes = j.toString().padStart(2, "0");
+      times.push(`${hour}:${minutes}`);
     }
+  }
 
-    return times;
+  return times;
 };
+
 function TabFormRestaurant() {
-    const {formData, onFormChange, setFormData} = useFormData({
-        restaurantLocation: '',
-        date: '',
-        hourFrom: '',
-        hourTo: '',
-        numPeople: ''
-    })
+  const a = timeOfArrival();
 
-
-    const a = timeOfArrival();
-
-    return (
-        <Form>
-            <Row>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="lg"
-                            type="text"
-                            placeholder="Место:"
-                            id="location"
-                            name={'restaurantLocation'}
-                            value={formData.restaurantLocation}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="location">Место:</label>
-                    </Form.Floating>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="md"
-                            type="date"
-                            step={3600000}
-                            placeholder="Час од:"
-                            id="dateFrom"
-                            name={'date'}
-                            value={formData.date}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="dateFrom">Датум:</label>
-                    </Form.Floating>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Select size="md"
-                         name={'hourFrom'}
-                         value={formData.hourFrom}
-                         onChange={onFormChange}>
-                            <option>Изберете време:</option>
-                            {a.map((x) => {
-                                return <option key={x}>{x}</option>;
-                            })}
-                        </Form.Select>
-                        <label htmlFor="hour">Час од:</label>
-                    </Form.Floating>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Select size="md"
-                         name={'hourTo'}
-                         value={formData.hourTo}
-                         onChange={onFormChange}>
-                            <option>Изберете време:</option>
-                            {a.filter((x) => x > formData.hourFrom).map((x) => {
-                                return <option key={x}>{x}</option>;
-                            })}
-                        </Form.Select>
-                        <label htmlFor="hour">Час до:</label>
-                    </Form.Floating>
-                </Col>
-                <Col>
-                    <Form.Floating className="mb-3">
-                        <Form.Control
-                            size="md"
-                            type="number"
-                            placeholder="Број на гости:"
-                            id="floatingPassengers"
-                            name={'numPeople'}
-                            value={formData.numPeople}
-                            onChange={onFormChange}
-                        ></Form.Control>
-                        <label htmlFor="floatingPassengers">Број на гости:</label>
-                    </Form.Floating>
-                    <Form.Group className="my-1">
-                        <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" onClick={(e) => {
-                            e.preventDefault();
-                            window.location.href = `/search/restaurant/${formData.restaurantLocation}/${formData.date}/${formData.hourFrom}/${formData.hourTo}/${formData.numPeople}`
-
-                        }}>
-                            <span className="ikona my-1"><HiMagnifyingGlass/></span>
-                            <span className="ikona mx-3">Пребарај</span>
-                        </Button>
-                    </Form.Group>
-                </Col>
-            </Row>
-        </Form>
-    );
+  return (
+    <Form>
+      <Row>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="lg"
+              type="text"
+              placeholder="Место:"
+              id="location"
+            ></Form.Control>
+            <label htmlFor="location">Место:</label>
+          </Form.Floating>
+        </Col>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="md"
+              type="date"
+              placeholder="Датум:"
+              id="dateFrom"
+            ></Form.Control>
+            <label htmlFor="dateFrom">Датум:</label>
+          </Form.Floating>
+        </Col>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Select size="md">
+              <option>Изберете време:</option>
+              {a.map((x) => {
+                return <option key={x}>{x}</option>;
+              })}
+            </Form.Select>
+            <label htmlFor="hour">Час:</label>
+          </Form.Floating>
+        </Col>
+        <Col>
+          <Form.Floating className="mb-3">
+            <Form.Control
+              size="md"
+              type="number"
+              placeholder="Број на гости:"
+              id="floatingPassengers"
+            ></Form.Control>
+            <label htmlFor="floatingPassengers">Број на гости:</label>
+          </Form.Floating>
+          <Form.Group className="my-1">
+            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg">
+              <span className="ikona my-1"><HiMagnifyingGlass/></span>
+              <span className="ikona mx-3">Пребарај</span>
+            </Button>
+          </Form.Group>
+        </Col>
+      </Row>
+    </Form>
+  );
 }
 
Index: frontend/src/Components/Tab/TabFormTransport.js
===================================================================
--- frontend/src/Components/Tab/TabFormTransport.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Tab/TabFormTransport.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,15 +2,6 @@
 import { Button, Col, Container, Form, Row } from "react-bootstrap";
 import { HiMagnifyingGlass } from "react-icons/hi2"
-import useFormData from "../Hooks/useFormData";
 
 function TabFormTransport() {
-
-  const { formData, onFormChange, setFormData } = useFormData({
-    from: undefined,
-    to: undefined,
-    date: undefined,
-    numPassengers: 0
-  })
-
   return (
     <Form>
@@ -23,7 +14,4 @@
               placeholder="Од:"
               id="floatingFrom"
-              value={formData.from}
-              name={'from'}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingFrom">Од:</label>
@@ -37,7 +25,4 @@
               placeholder="До:"
               id="floatingTo"
-              name={'to'}
-              value={formData.to}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingTo">До:</label>
@@ -51,7 +36,4 @@
               placeholder="Датум:"
               id="floatingDate"
-              name={'date'}
-              value={formData.date}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingDate">Датум:</label>
@@ -64,16 +46,10 @@
               type="number"
               placeholder="Број на патници:"
-              name={'numPassengers'}
               id="floatingPassengers"
-              value={formData.numPassengers}
-              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingPassengers">Број на патници:</label>
           </Form.Floating>
           <Form.Group className="my-1">
-            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" onClick={(e) => {
-              e.preventDefault();
-              window.location.href = `/search/transport/${formData.from}/${formData.to}/${formData.date}/${formData.numPassengers}`
-            }}>
+            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg">
               <span className="ikona my-1"><HiMagnifyingGlass/></span>
               <span className="ikona mx-3">Пребарај</span>
